Endpoint
GET https://pay.sandbox.yabetoopay.com/v1/remittance # Sandbox
GET https://pay.api.yabetoopay.com/v1/remittance # Production
Authentication
Use your secret key in theAuthorization header:
Authorization: Bearer YOUR_SECRET_KEY
Query Parameters
| Parameter | Type | Description |
|---|---|---|
limit | integer | Number of items per page (default: 10, max: 100) |
page | integer | Page number (starts at 1) |
Example Request
curl "https://pay.sandbox.yabetoopay.com/v1/remittance?limit=10&page=1" \
-H "Authorization: Bearer YOUR_SECRET_KEY"
import Yabetoo from "@yabetoo/sdk-js";
const yabetoo = new Yabetoo("YOUR_SECRET_KEY");
const remittances = await yabetoo.remittances.list({
limit: 10,
page: 1,
});
from yabetoo import Yabetoo
yabetoo = Yabetoo("YOUR_SECRET_KEY")
remittances = yabetoo.remittances.list(limit=10, page=1)
<?php
require 'vendor/autoload.php';
use Yabetoo\Yabetoo;
$yabetoo = new Yabetoo("YOUR_SECRET_KEY");
$remittances = $yabetoo->remittances->all([
"limit" => 10,
"page" => 1,
]);
import com.yabetoo.Yabetoo;
import com.yabetoo.YabetooConfig;
import com.yabetoo.model.Remittance;
import com.yabetoo.model.RemittanceCollection;
import com.yabetoo.request.RemittanceListParams;
YabetooConfig config = new YabetooConfig()
.setApiKey("YOUR_SECRET_KEY");
Yabetoo yabetoo = new Yabetoo(config);
RemittanceListParams params = RemittanceListParams.builder()
.limit(10)
.page(1)
.build();
RemittanceCollection remittances = yabetoo.remittances().list(params);
Response
200 OK
{
"data": [
{
"id": "rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ",
"object": "remittance",
"amount": 1000,
"currency": "xaf",
"status": "succeeded",
"firstName": "John",
"lastName": "Doe",
"operatorName": "mtn",
"country": "cg",
"phone": "242066594470",
"type": 1,
"shouldExecutedAt": "2025-03-18T09:24:57.555Z",
"createdAt": "2025-03-17T10:24:57.559+01:00",
"updatedAt": "2025-03-17T10:24:57.559+01:00"
}
],
"meta": {
"total": 45,
"page": 1,
"limit": 10,
"pages": 5
}
}
Remittance Status
| Status | Description |
|---|---|
pending | Remittance is waiting to be processed |
processing | Remittance is being processed |
succeeded | Remittance completed successfully |
failed | Remittance failed |
401 Unauthorized
{
"message": "Unauthorized"
}